[arch-commits] Commit in libsmbios/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Apr 13 15:00:52 EDT 2009


    Date: Monday, April 13, 2009 @ 15:00:52
  Author: jgc
Revision: 35494

Merged revisions 35443 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libsmbios/trunk

........
  r35443 | jgc | 2009-04-13 17:18:19 +0000 (Mon, 13 Apr 2009) | 1 line
  
  upgpkg: libsmbios 2.2.16-1
........

Modified:
  libsmbios/repos/extra-i686/	(properties)
  libsmbios/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)


Property changes on: libsmbios/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libsmbios/trunk:1-510
   + /libsmbios/trunk:1-35492

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-13 19:00:48 UTC (rev 35493)
+++ extra-i686/PKGBUILD	2009-04-13 19:00:52 UTC (rev 35494)
@@ -4,33 +4,33 @@
 # Contributor: daniel g. siegel <dgsiegel at gmail.com> 
 
 pkgname=libsmbios
-pkgver=2.0.2
+pkgver=2.2.16
 pkgrel=1
 pkgdesc="A library for providing access to as much BIOS information as possible"
 arch=(i686 x86_64)
 url="http://linux.dell.com/libsmbios/main/index.html"
 license=('GPL' 'custom')
-depends=('gcc-libs>=4.3.0')
+depends=('gcc-libs>=4.3.3')
+optdepends=('python: tools')
 source=(http://linux.dell.com/libsmbios/download/${pkgname}/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz)
 options=('!libtool')
-md5sums=('3d079038c08495c2a46ec20544168bb4')
+md5sums=('6edf6659fbb77e7d0f60d5217a7d88ed')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --disable-static || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  mkdir build
+  cd build
+  ../configure --prefix=/usr --sysconfdir=/etc --disable-static || return 1
+  mkdir -p out/libsmbios_c
+  mkdir -p out/libsmbios_c++
+  LD_PRELOAD="" make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/include"
+  cp -a ../src/include/* "${pkgdir}/usr/include/" || return 1
+  cp -a out/public-include/* "${pkgdir}/usr/include/" || return 1
 
-  make || return 1
-  make DESTDIR=${startdir}/pkg/ install || return 1
+  rm -rf "${pkgdir}/etc/yum"
 
-  install -m755 -d ${startdir}/pkg/usr/include
-
-  cp -r include/smbios ${startdir}/pkg/usr/include/smbios || return 1
-  find ${startdir}/pkg/usr/include/smbios -type d -exec chmod 0755 {} \; || return 1
-  find ${startdir}/pkg/usr/include/smbios -type f -exec chmod 0644 {} \; || return 1
-  chown -R root:root ${startdir}/pkg/usr/include/smbios || return 1
-
-  rm -f ${startdir}/pkg/usr/include/smbios/version.h.in
-
-  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 COPYING-OSL ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 ../COPYING-OSL "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list